<?php

namespace App\Http\Controllers;

use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Hash;
use Illuminate\Http\Request;

class AuthController extends Controller{
    private static function _preprecess_email($email){
        $email=trim($email);
        //convert to lowercase
        $email=strtolower($email);

        return $email;
    }

    private static function _getByEmail($email){
        return DB::table('admin_admins')->select("*")->where('email', $email)->first();
    }

    static function getById($id){
        return DB::table('admin_admins')->select("*")->where('id', $id)->first();
    }



    public static function hasAdmin(){
        $data=DB::table('admin_admins')->select("id")->first();

        if($data){
            return true;
        }else{
            return false;
        }
    }

    public static function emailExists($email){
        $data=DB::table('admin_admins')->select("id")->where('email', $email)->first();

        if($data){
            return true;
        }else{
            return false;
        }
        
    }

    public function index(){

        return redirect("admin/urls");
    }

    public function addAdmin(Request $request){
        $error=false;
        if(AuthController::hasAdmin()){
            $error=true;
        }

        $f_name=$request->f_name;
        $l_name=$request->l_name;
        $email=$request->email;
        $password=$request->password;

        $email=AuthController::_preprecess_email($email);
        
        if(AuthController::emailExists($email)){
            $error=true;
        }

        if(!$error){
            $id=DB::table('admin_admins')->insertGetId([
                'f_name' => $f_name,
                'l_name' => $l_name,
                'email' => $email,
                'password' => Hash::make($password),
            ]);
        }
        

        if($error){
            return redirect('admin/signup');
        }else{
            return redirect('admin/signin');
        }
    }

    public function tryLogin(Request $request){
        $error=false;

        $email=$request->email;
        $password=$request->password;

        $email=AuthController::_preprecess_email($email);

        $data=AuthController::_getByEmail($email);

        if(!$data){
            $error=true;
        }else{
            if(!Hash::check($password, $data->password)){
                $error=true;
            }
        }




        if(!$error){
            session(['admin.id' => $data->id]);
            return redirect('admin');
        }else{
            return redirect('admin/signin');
        }


    }

    public function logout(){
        session()->forget('admin.id');
        return redirect('/');
    }


}
