<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;

use App\Http\Controllers\AuthController;

class AdminMiddleware{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle(Request $request, Closure $next): Response{
        if(!session('admin.id')){
            if(session('admin.has_admin')){
                if(!str_contains($request->url(), "admin/signin")){
                    return redirect('admin/signin');
                }
            }else{
                //check db for admin
                if(AuthController::hasAdmin()){
                    session(['admin.has_admin' => true]);
                    if(!str_contains($request->url(), "admin/signin")){
                        return redirect('admin/signin');
                    }
                }else{
                    if(!str_contains($request->url(), "admin/signup")){
                        return redirect('admin/signup');
                    }
                }
            }
        }else{

            if(str_contains($request->url(), "admin/signin")){
                return redirect('admin');
            }
            if(str_contains($request->url(), "admin/signup")){
                return redirect('admin');
            }
    
        }

        return $next($request);
    }
}
