<?php

    use App\Http\Controllers\AuthController;


    $adminId=session('admin.id');

    if(!$adminId){
        return redirect('admin/signin');
    }

    $admin_data=AuthController::getById($adminId);
    
    if(!$admin_data){
        session()->forget('admin.id');
        return redirect('admin/signin');
    }

    $admin_name=$admin_data->f_name." ".$admin_data->l_name;

?>



<!DOCTYPE html>
<html lang="en">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0"/>

        <link rel="stylesheet" type="text/css" href="{{asset('css/css.css')}}"/>

    </head>
    <body>
        <header>
            <span class="s1">
                <h4>{{$page_name}}</h4>
                <span>
                    <span>
                        <a href="">
                            <i class="my_icon">house</i>
                        </a>
                    </span>
                    <span>{{$page_name}}</span>
                </span>
            </span>

            <span class="s2">
                <span class="toggle">
                    <i class="my_icon">bars</i>
                </span>

                <span class="profile_nav">
                    <span class="profile">
                        <img src="{{asset('images/profile.png')}}"/>
                        <span>
                            <span>{{$admin_name}}</span>
                            <i class="my_icon">angle_down</i>
                        </span>
                    </span>

                    <span class="drop_down">
                        <a href="/admin/logout">
                            <i class="my_icon">arrow_right_from_bracket</i>
                            <span>Logout</span>
                        </a>
                    </span>
                </span>
            </span>
        </header>
        <aside>
            <div>
                <i class="my_icon close">x_mark</i>
                
                <span class="logo">
                    <img src="{{asset('images/logo.png')}}"/>
                </span>

                <nav>
                    <a class="item{{$page_id=='adm_urls' ? ' active':''}}" href="/admin/urls">
                        <i class="my_icon">house</i>
                        <span>URLs</span>
                    </a>
                    <!-- <a class="item{{$page_id=='images' ? ' active':''}}" href="/admin/images">
                        <i class="my_icon">image</i>
                        <span>Images</span>
                    </a>
 -->
                    <!-- with sub -->
                    <!-- <span class="item_contain">
                        <span class="item" href="">
                            <i class="my_icon">house</i>
                            <span>
                                <span>Dashboard</span>
                                <i class="my_icon">angle_right</i>
                            </span>
                        </span>
                        
                        <span class="sub_menu">
                            <span>
                                <a class="sub_item" href="">Sub menu</a>
                                <a class="sub_item" href="">Sub menu2</a>
                            </span>
                        </span>
                    </span> -->
                </nav>
            </div>
        </aside>

        @yield('main_content') 


        @if(session()->has("messages"))
            @include("includes._msgs", ["msgs"=>session("messages")])
        @endif

    </body>
    <script src="{{asset('js/js.js')}}"></script>
</html>
    
