<?php



use App\Http\Controllers\AuthController;
use App\Http\Controllers\UrlsController;
use App\Http\Middleware\AdminMiddleware;
use Illuminate\Support\Facades\Route;



Route::get('{url}', [UrlsController::class, "move"]);

Route::get('/', function () {
    return redirect("/admin");
});




Route::group([
    'namespace' => 'Admin', 
    'middleware' => AdminMiddleware::class
], function () {

    Route::get('admin', [AuthController::class, "index"]);
    Route::get('admin/urls', [UrlsController::class, "index"]);
    Route::get('admin/{url}/links', [UrlsController::class, "links"]);
    Route::get('admin/logout', [AuthController::class, "logout"]);

    Route::get('admin/{url}/{link_id}/delete_link', [UrlsController::class, "delete_link"]);
    Route::get('admin/{url}/delete_url', [UrlsController::class, "delete_url"]);

    Route::post('admin/urls', [UrlsController::class, "addUrl"]);
    Route::post('admin/{url}/links', [UrlsController::class, "addLink"]);
    
    Route::view('admin/signin', "signin");
    Route::view('admin/signup', "signup");

    Route::post('admin/signup', [AuthController::class, "addAdmin"]);
    Route::post('admin/signin', [AuthController::class, "tryLogin"]);
    

});
